=== modified file 'BRANCH.TODO'
--- BRANCH.TODO	2009-12-24 11:32:30 +0000
+++ BRANCH.TODO	2009-12-25 17:27:23 +0000
@@ -9,6 +9,11 @@
 .BASE, .THIS, .OTHER, .moved can't be added nor committed.
 https://bugs.edge.launchpad.net/bzr/+bug/414589
 
+More conflict types should be handled by --auto (and the option
+added).
+https://bugs.edge.launchpad.net/bzr/+bug/344013
+https://bugs.edge.launchpad.net/bzr/+bug/389396
+
 https://bugs.edge.launchpad.net/bzr/+bug/236724
 https://bugs.edge.launchpad.net/bzr/+bug/228506
 https://bugs.edge.launchpad.net/bzr/+bug/113809
@@ -25,9 +30,6 @@
 TODO:
 =====
 
-- file a bug about more conflicts that *can* be handled by --auto
-  (at least some content conflicts can)
-
 - make sure .moved files can't be committed !
 
 - tests with '.diverted' files ?

=== modified file 'NEWS'
--- NEWS	2009-12-16 11:25:51 +0000
+++ NEWS	2009-12-25 17:27:23 +0000
@@ -406,9 +406,6 @@
   specified. If none is specified. the number of processes is obtained
   from the OS as before.  (Matt Nordhoff, Vincent Ladeuil)
 
-* ``UIFactory`` can now query for signed integers.
-  (Vincent Ladeuil)
-
 Bug Fixes
 *********
 

=== modified file 'bzrlib/conflicts.py'
--- bzrlib/conflicts.py	2009-12-25 16:39:40 +0000
+++ bzrlib/conflicts.py	2009-12-25 17:27:23 +0000
@@ -441,6 +441,7 @@
         return s
 
     def cleanup(self, tree):
+        # No additional files have been generated here
         pass
 
     def keep_mine(self, tree):
@@ -460,8 +461,6 @@
 
     format = 'Contents conflict in %(path)s'
 
-    # FIXME: done() should fail ? -- vila 091224
-
     def cleanup(self, tree):
         for suffix in ('.BASE', '.OTHER'):
             try:
@@ -683,7 +682,7 @@
              "  %(action)s."
 
     def keep_mine(self, tree):
-        # FIXME: we should preserve that path at conflict build time !
+        # FIXME: we should preserve that path when the conflict is generated !
         if self.path.endswith('.new'):
             conflict_path = self.path[:-(len('.new'))]
             tree.remove([self.path], force=True, keep_files=False)
@@ -692,7 +691,7 @@
             raise NotImplementedError(self.keep_mine)
 
     def take_their(self, tree):
-        # FIXME: we should preserve that path at conflict build time !
+        # FIXME: we should preserve that path when the conflict is generated !
         if self.path.endswith('.new'):
             conflict_path = self.path[:-(len('.new'))]
             tree.remove([conflict_path], force=True, keep_files=False)

